void main ( void )
{
 int &maybe;
 &maybe = random(3,1);
 if (&maybe == 1)
  {
	 &maybe = random(3,1);
	 if (&maybe == 1)
	 {
     sp_speed(&current_sprite, 7);
     sp_timing(&current_sprite, 0);
     move(&current_sprite, 6, 510, 1);
	 sp_speed(&current_sprite, 1);
     sp_timing(&current_sprite, 33);
	 say_stop("`9他们没在跟踪我吧 ..", &current_sprite);
	 }
	 else
     {
     say_stop("`9这位朋友你好...", &current_sprite);
	 }
  }
}

void talk ( void )
{
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "询问旅行趣事"
 "询问新闻"
(&story == 2)"问他有没有AlkTree nuts"
 "离开"
 choice_end()

  if (&result == 1)
   {
    story();
   }
  if (&result == 2)
   {
    news();
   }
  if (&result == 3)
   {
    say_stop("`9AlkTree nuts?? 我也很长时间没吃过了。", &current_sprite);
    say_stop("`9在我以前住的小镇的话，我还能告诉你，", &current_sprite);
    say_stop("`9可我对这里一点都不清楚。", &current_sprite);
   }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit ( void )
{
 int &dir;
 say("`9靠？！你干什么！", &current_sprite);
 sp_speed(&current_sprite, 4);
 sp_timing(&current_sprite, 0);
 //Dissapear off screen
 &dir = random(4, 1);
 if (&dir == 1)
 {
         move(&current_sprite, 1, -100, 1);
 }
 if (&dir == 2)
 {
         move(&current_sprite, 3, 700, 1);
 }
 if (&dir == 3)
 {
         move(&current_sprite, 7, -100, 1);
 }
 if (&dir == 4)
 {
         move(&current_sprite, 9, 700, 1);
 }
 sp_brain(&current_sprite, 0);
 sp_kill(&current_sprite, 2000);
 script_attach(0);
}

void die ( void )
{
 say_stop("他烦不了你了...", 1);
}

void story( void )
{
int &maybe = random(3,1);
 if (&maybe == 1)
  {
   say_stop("`9我刚从地精圣堂逃出来。", &current_sprite);
   say_stop("`9那里很恐怖，所以我不推荐到那里去玩。", &current_sprite);
   wait(250);
   say_stop("那在遥远的西方，你怎么跑这里来了？", 1);
   say_stop("`9我逃出来后就尽量往反方向跑。", &current_sprite);
   say_stop("`9我想到 PortTown 去休息一阵子。", &current_sprite);
  }
 if (&maybe == 2)
  {
   say_stop("`9我一直想到这世界闯一闯，", &current_sprite);
   say_stop("`9不论是和皇家卫士保家卫国还是加入", &current_sprite);
   say_stop("`9一队雇佣兵。", &current_sprite);
   wait(250);
   say_stop("`9不幸的是，刚工作没多久就被", &current_sprite);
   say_stop("`9地精给抓住了。以后再也不去西边大陆了。", &current_sprite); 
  }
 if (&maybe == 3)
  {
   say_stop("`9和地精相处那么多日子，终于离开他们感觉真的很好。", &current_sprite);
   say_stop("`9他们简直比砖头还厚比猪还笨！", &current_sprite);
   say_stop("`9我真不知道怎么会被他们抓住的，太没面子了。", &current_sprite);
  }
}

void news( void )
{
int &maybe = random(5,1);

  if (&maybe == 1)
   {
    makefun();

   }

 &maybe = random(3,1);
 if (&maybe == 1)
  {
   //playmidi("creepy.mid");
   wait(1000);
   say_stop("`9在我被在地精圣堂的时候，我发现", &current_sprite);
   say_stop("`9那些从北方归来的巡逻兵总有些不同。", &current_sprite);
   say_stop("`9他们的行为不久就变得非常怪异，没过多久，有几个", &current_sprite);
   say_stop("`9发了狂的和我关到了一起！", &current_sprite);
   wait(200);
   say_stop("挖，那还真恐怖。", 1);
   wait(200);
   say_stop("`9这是另外一个我需要休息一阵的原因。- 实在是太恐怖了。", &current_sprite);
   wait(200);
  }
 if (&maybe == 2)
  {
   say_stop("`9在牢房里，有地精告诉我在那Crag山崖边。", &current_sprite);
   say_stop("`9有个魔法师, 他们想", &current_sprite);
   say_stop("`9通过击败他而获取他的魔法。", &current_sprite);
   say_stop("`9他们说他居然可以把人变成冰棍！！", &current_sprite);
   say_stop("`9所以我猜他们可能在损伤了３０个地精后放弃战斗的吧。", &current_sprite);
  }
 if (&maybe == 3)
  {
   say_stop("`9所有的女孩", &current_sprite);
   say_stop("`9都到叫兽这里来", &current_sprite);
   say_stop("`9大家一起", &current_sprite);
   say_stop("`9 欢乐开怀 ", &current_sprite);
   say_stop("叫兽？ ...", 1);
   say_stop("`9 嘿嘿嘿，其实...我就是叫兽。", &current_sprite);

  }

}

void makefun( void )
{
 if (&story == 5)
  {
   say_stop("`9那天有个人告诉我这里有过场大火。", &current_sprite);
   say_stop("`9真希望没人受伤。", &current_sprite);
   wait(200);
   say_stop("啊，是，确实，没人，受伤。", 1);
   unfreeze(1);
   unfreeze(&current_sprite);
   return;
  }
  say_stop("这位朋友，有何新闻？", 1);
  wait(200);
  say_stop("`9没什么，你叫什么名字啊？", &current_sprite);
  wait(200);
  say_stop("小森林,", 1);
  wait(250);
  say_stop("丁克，小森林。", 1);
  wait(200);
  say_stop("`9你好，我是黄杜皮", &current_sprite);
  wait(200);
  say_stop("`9你那名字还真有趣。", &current_sprite);
  wait(200);
  say_stop("谢谢，谢谢。", 1);    
}
